package model

import (
	"iot_manager_service/app/system/dao"
)

type OperationHisDetail struct {
	dao.OperationHistory
	HandleName        string `json:"handleName"`        //操作人
	OperationTypeName string `json:"operationTypeName"` //操作类型
	ModuleTypeName    string `json:"moduleTypeName"`    //操作模块
}

// 响应结构体
type RsqOperationHisList struct {
	Records []OperationHisDetail `json:"records"` //记录列表
	Current int                  `json:"current"` //当前分页
	Size    int                  `json:"size"`    //每页数量
	Pages   int                  `json:"pages"`   //总页数
	Total   int                  `json:"total"`   //总数
}
